## org.apache.lucene.queryParser.core.nodes
Class GroupQueryNode

    java.lang.Object
      org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
          org.apache.lucene.queryParser.core.nodes.GroupQueryNode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, QueryNode

    public class GroupQueryNode

extends QueryNodeImpl

A `GroupQueryNode` represents a location where the original user typed real parenthesis on the query string. This class is useful for queries like: a) a AND b OR c b) ( a AND b) OR c Parenthesis might be used to define the boolean operation precedence.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

Constructor Summary
`GroupQueryNode(QueryNode query)` This QueryNode is used to identify parenthesis on the original query string

Method Summary
`QueryNode` `cloneTree()` Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method
`QueryNode` `getChild()`
`void` `setChild(QueryNode child)`
`java.lang.CharSequence` `toQueryString(EscapeQuerySyntax escapeSyntaxParser)` convert to a query string understood by the query parser
`java.lang.String` `toString()` Every implementation of this class should return pseudo xml like this: For FieldQueryNode:

Methods inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`add, add, allocate, clone, containsTag, getChildren, getParent, getTag, getTags, isDefaultField, isLeaf, isRoot, set, setLeaf, setTag, unsetTag`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroupQueryNode

    public GroupQueryNode(QueryNode query)

  This QueryNode is used to identify parenthesis on the original query string

Method Detail

### getChild

    public QueryNode getChild()

### toString

    public java.lang.String toString()

  Description copied from class: `QueryNodeImpl`
  Every implementation of this class should return pseudo xml like this: For FieldQueryNode:

  Specified by:
    `toString` in interface `QueryNode`
  Overrides:
    `toString` in class `QueryNodeImpl`
  See Also:
    `QueryNode.toString()`

### toQueryString

    public java.lang.CharSequence toQueryString(EscapeQuerySyntax escapeSyntaxParser)

  Description copied from interface: `QueryNode`
  convert to a query string understood by the query parser

### cloneTree

    public QueryNode cloneTree()
                        throws java.lang.CloneNotSupportedException

  Description copied from interface: `QueryNode`
  Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method

  Specified by:
    `cloneTree` in interface `QueryNode`
  Overrides:
    `cloneTree` in class `QueryNodeImpl`
  Returns:
    the cloned tree
  Throws:
    `java.lang.CloneNotSupportedException`

### setChild

    public void setChild(QueryNode child)

  Parameters:
    `child` -

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.